BEEM - Android XMPP - Feature #90

Changement de status
04/15/2009 04:14 PM - Frédéric Barthéléry

Status: Closed Start date: 04/15/2009
Priority: High Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: User Interface Estimated time: 3.00 hours
Target version: Prototype before 1.5 - SFR_Version

Description

Le service doit pouvoir changer le status et le message d'etat de I'utilisateur connecte.
Niveau ui on doit avoir une activity qui permet de faire cela.
Je m'en charge niveau service

History

#1 - 04/15/2009 08:21 PM - Frédéric Barthéléry
- Assignee set to Philippe Lago
- % Done changed from 0 to 40

Cote service tout est gere. On peut changer de status en appelant la methode changeStatus de la facede.
L'ui doit permettre de choisir parmi les differents status disponible (absent occupe etc) et de mettre un message d'etat.

#2 - 04/21/2009 03:45 PM - Philippe Lago

- Status changed from New to Assigned

- Assignee changed from Philippe Lago to Frédéric Barthéléry
- % Done changed from 40 to 80

- Estimated time set to 3.00 h

Je te passe le ticket bart dis moi si tu as besoin d'autre chose

#3 - 04/22/2009 06:18 PM - Frédéric Barthéléry
- % Done changed from 80 to 90

Le changement de status marche. Il reste un bug sur la deconnection.

En gros le service ne se stoppe pas tant qu'il possede des clients (des activite). Le probleme c'est qu'on ne dit jamais aux activites de se delogguer.
si on le fait le service se ferme bien mais si une activite qui utilise le service est encore ouverte elle devient casser et cause une erreur.

Le BeemApplication est partage par toutes les activites, il n'y a donc qu'une seule connection au service c'est ce qui cause le probleme.

#4 - 05/19/2009 03:23 PM - Frédéric Barthéléry
- Status changed from Assigned to Closed

- % Done changed from 90 to 100
